POST api/iocardtypeapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
IOCardTypeViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| type | string |
Required String length: inclusive between 0 and 100 |
|
| description | string |
Required |
|
| active | boolean |
Required |
Request Formats
application/json, text/json
Sample:
{
"id": "582d70c9-e97a-4265-8f7e-c8a14cb0f159",
"type": "sample string 2",
"description": "sample string 3",
"active": true
}
application/xml, text/xml
Sample:
<io_card_type xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <description>sample string 3</description> <id>582d70c9-e97a-4265-8f7e-c8a14cb0f159</id> <type>sample string 2</type> </io_card_type>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"aa4baf47-bb11-4de3-88f5-0f9f589295e4"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">aa4baf47-bb11-4de3-88f5-0f9f589295e4</guid>